// file: tr_ln_size_0.cc
//

// isip include files
//
#include "train_link_node.h"
#include "train_link_node_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Train_Link_node::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(void_p);                     // item_d
  size += sizeof(Train_Link_node*);                // prev_d
  size += sizeof(Train_Link_node*);                // next_d

  // exit gracefully
  //
  return size;
}
